org.apache.synapse.commons.vfs

## Class VFSOutTransportInfo

- java.lang.Object
- - org.apache.synapse.commons.vfs.VFSOutTransportInfo

- All Implemented Interfaces:
    org.apache.axis2.transport.OutTransportInfo

      public class VFSOutTransportInfo
      extends java.lang.Object
      implements org.apache.axis2.transport.OutTransportInfo

  The VFS OutTransportInfo is a holder of information to send an outgoing message (e.g. a Response) to a VFS destination. Thus at a minimum a reference to a File URI (i.e. directory or a file) are held

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSOutTransportInfo(java.lang.String outFileURI, boolean fileLocking)` Constructs the VFSOutTransportInfo containing the information about the file to which the response has to be submitted to.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentType()`
    `int` | `getMaxRetryCount()`
    `java.lang.String` | `getOutFileName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getOutFileSystemOptionsMap()`
    `java.lang.String` | `getOutFileURI()`
    `long` | `getReconnectTimeout()`
    `boolean` | `getSendFileSynchronously()`
    `boolean` | `isAppend()`
    `boolean` | `isFileLockingEnabled()`
    `boolean` | `isForceCreateFolder()`
    `boolean` | `isForceCreateFolder(org.apache.axis2.context.MessageContext msgCtx)`
    `void` | `setAppend(boolean append)`
    `void` | `setContentType(java.lang.String contentType)`
    `void` | `setForceCreateFolder(boolean forceCreateFolder)`
    `void` | `setMaxRetryCount(int maxRetryCount)`
    `void` | `setReconnectTimeout(long reconnectTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSOutTransportInfo

          public VFSOutTransportInfo(java.lang.String outFileURI,
                                     boolean fileLocking)

      Constructs the VFSOutTransportInfo containing the information about the file to which the response has to be submitted to.
      Parameters:
        `outFileURI` - URI of the file to which the message is delivered

  - ### Method Detail

    - #### isForceCreateFolder

          public boolean isForceCreateFolder(org.apache.axis2.context.MessageContext msgCtx)

    - #### setContentType

          public void setContentType(java.lang.String contentType)

      Specified by:
        `setContentType` in interface `org.apache.axis2.transport.OutTransportInfo`

    - #### getOutFileURI

          public java.lang.String getOutFileURI()

    - #### getSendFileSynchronously

          public boolean getSendFileSynchronously()

    - #### getOutFileName

          public java.lang.String getOutFileName()

    - #### getMaxRetryCount

          public int getMaxRetryCount()

    - #### setMaxRetryCount

          public void setMaxRetryCount(int maxRetryCount)

    - #### getReconnectTimeout

          public long getReconnectTimeout()

    - #### setReconnectTimeout

          public void setReconnectTimeout(long reconnectTimeout)

    - #### isAppend

          public boolean isAppend()

    - #### setAppend

          public void setAppend(boolean append)

    - #### getContentType

          public java.lang.String getContentType()

    - #### isFileLockingEnabled

          public boolean isFileLockingEnabled()

    - #### getOutFileSystemOptionsMap

          public java.util.Map<java.lang.String,java.lang.String> getOutFileSystemOptionsMap()

    - #### isForceCreateFolder

          public boolean isForceCreateFolder()

      Returns:
        the forceCreateFolder

    - #### setForceCreateFolder

          public void setForceCreateFolder(boolean forceCreateFolder)

      Parameters:
        `forceCreateFolder` - the forceCreateFolder to set

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.